Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002439 [JEDI VCL] 00 JVCL Components crash always 2004-12-27 03:13 2004-12-28 06:12
Reporter ralf.kaiser View Status public  
Assigned To
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0002439: JvAppInstances sets "Application" to nil
Description JvAppInstances sets "Application" in the method "Check" to nil. This causes serious problems with some third party tools that install own message loops (e.g. dxBars from DevExpress)
Additional Information I have added a new property "SetApplicationToNil: boolean" that controls setting the application variable to nil. The value of the property is set to true in the contructor to get the standard behavior.

If the setting of "Application" to nil should cause problems, set this property to false.

I have tested this over several weeks with some quite big applications without finding any problems when Application is not set to nil.

Included is the changed version of the file "JvAppInst.pas"
Tags No tags attached.
Attached Files zip file icon JvAppInst.zip [^] (3,834 bytes) 2004-12-27 03:13

- Relationships

-  Notes
(0006024)
AHUser (developer)
2004-12-28 06:12

Fixed be setting Owner.OnDestroy to nil and removing the "Application := nil"

- Issue History
Date Modified Username Field Change
2004-12-27 03:13 ralf.kaiser New Issue
2004-12-27 03:13 ralf.kaiser File Added: JvAppInst.zip
2004-12-27 03:18 ralf.kaiser Issue Monitored: ralf.kaiser
2004-12-28 06:12 AHUser Status new => resolved
2004-12-28 06:12 AHUser Resolution open => fixed
2004-12-28 06:12 AHUser Assigned To => AHUser
2004-12-28 06:12 AHUser Note Added: 0006024
2004-12-28 06:12 AHUser Assigned To AHUser =>
2004-12-30 03:41 ralf.kaiser Issue End Monitor: ralf.kaiser


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker